% DARKENCOLOR   Function that darkens the green or yellow color of a plot.
%    DARKENCOLOR(H) darkens the color of the object with handle H if that
%    object is either yellow or green.

% (c)2008-2009, Cris Luengo, Centre for Image Analysis, Uppsala, Sweden.
% GNU GPL v.3.0 -- see gpl-3.0.txt

function darkencolor(h)
c = get(h,'color');
if c(2)==1
   if c(1)==1
      % yellow
      %c(1) = 0.8;
      c(2) = 0.65;
   elseif c(3)==1
      % cyan
      c(2) = 0.65;
   else
      % green
      c(2) = 0.8;
   end
   set(h,'color',c);
elseif c==[1,0,1]
   set(h,'color',[0.9,0,1]);
end
